> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Log Streaming Config

> Get retrieves an event log streaming config for an environment.



## OpenAPI

````yaml GET /pwa/v3/projects/:project_slug/environments/:environment_slug/event_log_streaming/:destination_type
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 1.0.0
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://management.stytch.com
    description: Production server
security:
  - basicAuth: []
paths:
  /pwa/v3/projects/:project_slug/environments/:environment_slug/event_log_streaming/:destination_type:
    get:
      tags:
        - Event Log Streaming
      summary: Get
      description: Get retrieves an event log streaming config for an environment.
      operationId: pwa_event_log_streaming_v3_Get
      parameters:
        - name: project_slug
          in: path
          required: true
          schema:
            type: string
        - name: environment_slug
          in: path
          required: true
          schema:
            type: string
        - name: destination_type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/pwa_event_log_streaming_v3_DestinationType'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pwa_event_log_streaming_v3_GetResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
components:
  schemas:
    pwa_event_log_streaming_v3_DestinationType:
      type: string
      enum:
        - DATADOG
        - GRAFANA_LOKI
    pwa_event_log_streaming_v3_GetResponse:
      type: object
      properties:
        request_id:
          type: string
        event_log_streaming_config:
          $ref: >-
            #/components/schemas/pwa_event_log_streaming_v3_EventLogStreamingMasked
        status_code:
          type: integer
          format: int32
      description: Response type
      required:
        - request_id
        - event_log_streaming_config
        - status_code
    pwa_event_log_streaming_v3_EventLogStreamingMasked:
      type: object
      properties:
        destination_type:
          $ref: '#/components/schemas/pwa_event_log_streaming_v3_DestinationType'
        destination_config:
          $ref: >-
            #/components/schemas/pwa_event_log_streaming_v3_DestinationConfigMasked
        streaming_status:
          $ref: '#/components/schemas/pwa_event_log_streaming_v3_StreamingStatus'
    pwa_event_log_streaming_v3_DestinationConfigMasked:
      type: object
      properties:
        datadog:
          $ref: '#/components/schemas/pwa_event_log_streaming_v3_DatadogConfigMasked'
        grafana_loki:
          $ref: >-
            #/components/schemas/pwa_event_log_streaming_v3_GrafanaLokiConfigMasked
    pwa_event_log_streaming_v3_StreamingStatus:
      type: string
      enum:
        - ACTIVE
        - DISABLED
        - PENDING
    pwa_event_log_streaming_v3_DatadogConfigMasked:
      type: object
      properties:
        api_key_last_four:
          type: string
        site:
          $ref: '#/components/schemas/pwa_event_log_streaming_v3_DatadogSite'
      required:
        - api_key_last_four
    pwa_event_log_streaming_v3_GrafanaLokiConfigMasked:
      type: object
      properties:
        hostname:
          type: string
        username:
          type: string
        password_last_four:
          type: string
      required:
        - hostname
        - username
        - password_last_four
    pwa_event_log_streaming_v3_DatadogSite:
      type: string
      enum:
        - US
        - US3
        - US5
        - EU
        - AP1
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````